Subject: Re: [RFC] TCP congestion schedulers

From: Andi Kleen <[email-masked]>
Date: 29 Mar 2005 17:25:38 +0200

> Running on 2 Cpu Opteron using netperf loopback mode shows that the change is
> very small when averaged over 10 runs. Overall there is 
> a .28% decrease in CPU usage and a .96% loss in throughput.  But both those
> values are less than twice standard deviation which was .4% for the CPU measurements
> and .8% for the performance measurements.  I can't see it as a worth
> bothering unless there is some big money benchmark on the line, in which case
> it would make more sense to look at other optimizations of the loopback
> path.

Opteron has no problems with indirect calls, IA64 seems to be different
though.

But when you see noticeable differences even on a Opteron I find
it somewhat worrying.

-Andi